CBTEST(1)

NAME
cbtest - test cases for QDBM Cabin

SYNOPSIS

cbtest sort [-d] rnum
cbtest strstr [-d] rnum
cbtest list [-d] rnum
cbtest map [-d] rnum
cbtest wicked rnum
cbtest misc

DESCRIPTION

The command `cbtest' is a utility for facility test and performance test. Measure the execution time of the command. This command is used in the following format. `rnum' specifies the number of records.

cbtest sort [-d] rnum
    Perform test of sorting algorithms.

cbtest sort [-d] rnum
    Perform test of string locating algorithms.

cbtest list [-d] rnum
    Perform writing test of list.

cbtest map [-d] rnum
    Perform writing test of map.

cbtest wicked rnum
    Perform updating operations of list and map selected at random.

cbtest misc
    Perform test of miscellaneous routines.

Options feature the following.

    -d : read and show data of the result.

This command returns 0 on success, another on failure.

SEE ALSO

qdbm(3), cabin(3)

AUTHOR
QDBM was written by Mikio Hirabayashi <mikio@fallabs.com>.